Subject: bug#456: openrc: dbus fails to start with /sbin/openrc-init

From: Ryutaroh Matsumoto <[email-masked]>
Date: Mon, 11 May 2020 07:33:13 +0900 (JST)

Control: retitle -1 init.d/dbus.sh is run before checkroot.sh with /sbin/openrc-init
Control: tags -1 + debian
Control: forwarded -1 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=960234

With further investigation, I noticed error messages
chgrp:changing group of '/var/log/dmesg': Read-only file system
rsyslogd: file '/var/log/syslog': open error: Read-only file system
Could not create /var/lib/dbus/machine-id.2lLD5ybW: Read-only file system

and giving "rw" to the kernel boot option surpresses this symptom.
My understanding is that /etc/init.d/dbus.sh is run before
/etc/init.d/checkroot.sh.

I do not see how such wrong order of executios occur.
I reproduced this symptom on Debian Bullseye and reported to their BTS.

Best regards, Ryutaroh